GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/amd64-darwin-tdep.c File Reference
`#include "defs.h"`
`#include "frame.h"`
`#include "inferior.h"`
`#include "gdbcore.h"`
`#include "target.h"`
`#include "symtab.h"`
`#include "regcache.h"`
`#include "objfiles.h"`
`#include "i387-tdep.h"`
`#include "x86-xstate.h"`
`#include "amd64-tdep.h"`
`#include "osabi.h"`
`#include "ui-out.h"`
`#include "amd64-darwin-tdep.h"`
`#include "i386-darwin-tdep.h"`
`#include "solib.h"`
`#include "solib-darwin.h"`
`#include "dwarf2-frame.h"`

Go to the source code of this file.

## Functions
static CORE_ADDR | amd64_darwin_sigcontext_addr (struct frame_info *this_frame)
static void | x86_darwin_init_abi_64 (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_amd64_darwin_tdep (void)

## Variables
int | amd64_darwin_thread_state_reg_offset []
const int | amd64_darwin_thread_state_num_regs

## Function Documentation

## ◆ _initialize_amd64_darwin_tdep()

void _initialize_amd64_darwin_tdep | ( | void |  | ) |

Definition at line 120 of file amd64-darwin-tdep.c.

References GDB_OSABI_DARWIN, gdbarch_register_osabi(), and x86_darwin_init_abi_64().

## ◆ amd64_darwin_sigcontext_addr()

static CORE_ADDR amd64_darwin_sigcontext_addr | ( | struct frame_info * | this_frame | ) |
| static

Definition at line 78 of file amd64-darwin-tdep.c.

References AMD64_RBX_REGNUM, gdbarch::byte_order, extract_unsigned_integer(), gdbarch_byte_order(), get_frame_arch(), get_frame_register(), and read_memory().

Referenced by x86_darwin_init_abi_64().

## ◆ x86_darwin_init_abi_64()

static void x86_darwin_init_abi_64 | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 98 of file amd64-darwin-tdep.c.

References amd64_darwin_sigcontext_addr(), amd64_darwin_thread_state_num_regs, amd64_darwin_thread_state_reg_offset, amd64_init_abi(), amd64_target_description(), darwin_dwarf_signal_frame_p(), darwin_so_ops, dwarf2_frame_set_signal_frame_p(), gdbarch_tdep(), i386_sigtramp_p(), gdbarch_tdep::jb_pc_offset, reg_struct_return, gdbarch_tdep::sc_num_regs, gdbarch_tdep::sc_reg_offset, set_solib_ops(), gdbarch_tdep::sigcontext_addr, gdbarch_tdep::sigtramp_p, gdbarch_tdep::struct_return, and X86_XSTATE_SSE_MASK.

Referenced by _initialize_amd64_darwin_tdep().

## Variable Documentation

## ◆ amd64_darwin_thread_state_num_regs

const int amd64_darwin_thread_state_num_regs

Initial value:
=
ARRAY_SIZE (amd64_darwin_thread_state_reg_offset)
amd64_darwin_thread_state_reg_offset
int amd64_darwin_thread_state_reg_offset[]
Definition: amd64-darwin-tdep.c:43

Definition at line 71 of file amd64-darwin-tdep.c.

Referenced by darwin_complete_target(), and x86_darwin_init_abi_64().

## ◆ amd64_darwin_thread_state_reg_offset

int amd64_darwin_thread_state_reg_offset[]

Initial value:
=
{
0 * 8,
1 * 8,
2 * 8,
3 * 8,
5 * 8,
4 * 8,
6 * 8,
7 * 8,
8 * 8,
9 * 8,
10 * 8,
11 * 8,
12 * 8,
13 * 8,
14 * 8,
15 * 8,
16 * 8,
17 * 8,
18 * 8,
-1,
-1,
-1,
19 * 8,
20 * 8
}

Definition at line 43 of file amd64-darwin-tdep.c.

Referenced by darwin_complete_target(), and x86_darwin_init_abi_64().